| Home | Libraries | People | FAQ | More

##### find

###### Description

Returns the result type of `find`, given the sequence and search types.

###### Synopsis

    template<
        typename Sequence,
        typename T
        >
    struct find
    {
        typedef unspecified type;
    };

Table 1.49. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | Model of Forward Sequence | Operation's argument
`T` | Any type | Operation's argument

###### Expression Semantics

    result_of::find<Sequence, T>::type

Return type: A model of the same iterator category as the iterators of `Sequence`.

Semantics: Returns an iterator to the first element of type `T` in `Sequence`, or ``result_of::end`<Sequence>::type` if there is no such element.

###### Complexity

Linear, at most ``result_of::size`<Sequence>::value` comparisons.

###### Header

    #include <boost/fusion/algorithm/query/find.hpp>
    #include <boost/fusion/include/find.hpp>